#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# License: GNU General Public License v2
#
# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
#
from cmk.gui.i18n import _
from cmk.gui.valuespec import (
    Dictionary,
    TextAscii,
    MonitoringState,
)

from cmk.gui.plugins.wato import (
    CheckParameterRulespecWithItem,
    rulespec_registry,
    RulespecGroupCheckParametersNetworking,
)


def _parameter_valuespec_checkpoint_powersupply():
    return Dictionary(elements=[
        ('ps_not_up',
         MonitoringState(
             default_value=2,
             title=_('State if power supply is not "UP" or "Present".'),
         )),
    ])


rulespec_registry.register(
    CheckParameterRulespecWithItem(
        check_group_name='checkpoint_powersupply',
        group=RulespecGroupCheckParametersNetworking,
        item_spec=lambda: TextAscii(title=_('Power Supply index'), ),
        match_type='dict',
        parameter_valuespec=_parameter_valuespec_checkpoint_powersupply,
        title=lambda: _('Check Point Power Supply'),
    ))
